if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database /usr/share/mime &> /dev/null
fi

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database &> /dev/null
fi

if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache  -f -q /usr/share/icons/hicolor &> /dev/null
fi
	# Update the scrollkeeper database (Remove stale pieces)
	if [ -x usr/bin/scrollkeeper-update ]; then
		usr/bin/scrollkeeper-update > /dev/null 2>&1
	fi
#
( cd usr/lib ; rm -rf libgladeui-1.so )
( cd usr/lib ; ln -sf libgladeui-1.so.9.0.3 libgladeui-1.so )
( cd usr/lib ; rm -rf libgladeui-1.so.9 )
( cd usr/lib ; ln -sf libgladeui-1.so.9.0.3 libgladeui-1.so.9 )
